sc::MsgStateRecv(3)

NAME
sc::MsgStateRecv - The MsgStateRecv is an abstract base class that receives objects from nodes in a MessageGrp.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateBufRecv.

Inherited by sc::BcastStateRecv, and sc::StateRecv.

  Public Member Functions
MsgStateRecv (const Ref< MessageGrp > &)
MsgStateRecv must be initialized with a MessageGrp.
int version (const ClassDesc *)
Returns the version of the ClassDesc.
int get (const ClassDesc **)
I only need to override get(ClassDesc**) but C++ will hide all of the other get's so I must override everything.
int get (char &r, const char *key=0)
These restore data saved with StateOut's put. members.
int get (unsigned int &r, const char *key=0)
int get (int &r, const char *key=0)
int get (float &r, const char *key=0)
int get (double &r, const char *key=0)
int get (char *&)
These restore data saved with StateOut's put.
int get (unsigned int *&)
int get (int *&)
int get (float *&)
int get (double *&)

Detailed Description

The MsgStateRecv is an abstract base class that receives objects from nodes in a MessageGrp.

Member Function Documentation

  int sc::MsgStateRecv::get (char *&) [virtual]

These restore data saved with StateOut's put.

members. The data is allocated by StateIn.

Reimplemented from sc::StateIn.

  int sc::MsgStateRecv::get (const ClassDesc **) [virtual]

I only need to override get(ClassDesc**) but C++ will hide all of the other get's so I must override everything.

Reimplemented from sc::StateIn.

  int sc::MsgStateRecv::version (const ClassDesc *) [virtual]

Returns the version of the ClassDesc.

This assumes that the version of the remote class is the same as that of the local class.

Reimplemented from sc::StateIn.

Author

Generated automatically by Doxygen for MPQC from the source code.